import { ReactNode } from "react";
import WebTable from "../table/webTable";
export interface ICommonMethods {
    init(this: WebTable): void;
    loadData(this: WebTable, from: string): void;
    getDataSource(this: WebTable): any;
    getDataItem(this: WebTable, value: any): any;
    onSort(this: WebTable, dataIndex: string, order: string): void;
    onSearch(this: WebTable, searchKey: string): void;
    renderEmptyContent(this: WebTable): ReactNode | null;
    onPageSizeChange(this: WebTable, pageSize: number): void;
    onPageNumChange(this: WebTable, current: number): void;
    getPaginationProps(this: WebTable): any;
}
declare const methods: ICommonMethods;
export default methods;
